org.optaplanner.core.impl.score.stream.drools.bi

## Class DroolsScoringBiConstraintStream<Solution_,A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream<Solution_>
    - - org.optaplanner.core.impl.score.stream.drools.bi.DroolsAbstractBiConstraintStream<Solution_,A,B>
      - - org.optaplanner.core.impl.score.stream.drools.bi.DroolsScoringBiConstraintStream<Solution_,A,B>

- All Implemented Interfaces:
    BiConstraintStream<A,B>, ConstraintStream, InnerBiConstraintStream<A,B>

      public final class DroolsScoringBiConstraintStream<Solution_,A,B>
      extends DroolsAbstractBiConstraintStream<Solution_,A,B>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.bi.DroolsAbstractBiConstraintStream

      `childStreamList, parent`

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream

      `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsScoringBiConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractBiConstraintStream<Solution_,A,B> parent, DroolsConstraint<Solution_> constraint)`
    `DroolsScoringBiConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractBiConstraintStream<Solution_,A,B> parent, DroolsConstraint<Solution_> constraint, BiFunction<A,B,BigDecimal> bigDecimalMatchWeigher)`
    `DroolsScoringBiConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractBiConstraintStream<Solution_,A,B> parent, DroolsConstraint<Solution_> constraint, ToIntBiFunction<A,B> intMatchWeigher)`
    `DroolsScoringBiConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory, DroolsAbstractBiConstraintStream<Solution_,A,B> parent, DroolsConstraint<Solution_> constraint, ToLongBiFunction<A,B> longMatchWeigher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createRuleItemBuilders(List<<any>> ruleItemBuilderList, <any> scoreHolderGlobal)`
    `<any>` | `getLeftPattern()`
    `<any>` | `getLeftVariableDeclaration()`
    `<any>` | `getRightPattern()`
    `<any>` | `getRightVariableDeclaration()`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.bi.DroolsAbstractBiConstraintStream

      `filter, getFromStreamList, getLeftParentStream, getRightParentStream, groupBy, groupBy, groupBy, groupBy, impactScore, impactScore, impactScoreBigDecimal, impactScoreConfigurable, impactScoreConfigurable, impactScoreConfigurableBigDecimal, impactScoreConfigurableLong, impactScoreLong, join, join, join, join, join, join, join, join`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream

      `buildConstraint, buildConstraintConfigurable, getConstraintFactory`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, penalize, penalizeConfigurable, reward, rewardConfigurable, validateConstraintId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bi.InnerBiConstraintStream

      `penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.bi.BiConstraintStream

      `penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

- - ### Constructor Detail

    - #### DroolsScoringBiConstraintStream

          public DroolsScoringBiConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                 DroolsAbstractBiConstraintStream<Solution_,A,B> parent,
                                                 DroolsConstraint<Solution_> constraint)

    - #### DroolsScoringBiConstraintStream

          public DroolsScoringBiConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                 DroolsAbstractBiConstraintStream<Solution_,A,B> parent,
                                                 DroolsConstraint<Solution_> constraint,
                                                 ToIntBiFunction<A,B> intMatchWeigher)

    - #### DroolsScoringBiConstraintStream

          public DroolsScoringBiConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                 DroolsAbstractBiConstraintStream<Solution_,A,B> parent,
                                                 DroolsConstraint<Solution_> constraint,
                                                 ToLongBiFunction<A,B> longMatchWeigher)

    - #### DroolsScoringBiConstraintStream

          public DroolsScoringBiConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory,
                                                 DroolsAbstractBiConstraintStream<Solution_,A,B> parent,
                                                 DroolsConstraint<Solution_> constraint,
                                                 BiFunction<A,B,BigDecimal> bigDecimalMatchWeigher)

  - ### Method Detail

    - #### createRuleItemBuilders

          public void createRuleItemBuilders(List<<any>> ruleItemBuilderList,
                                             <any> scoreHolderGlobal)

      Overrides:
        `createRuleItemBuilders` in class `DroolsAbstractBiConstraintStream<Solution_,A,B>`

    - #### getLeftVariableDeclaration

          public <any> getLeftVariableDeclaration()

      Specified by:
        `getLeftVariableDeclaration` in class `DroolsAbstractBiConstraintStream<Solution_,A,B>`

    - #### getLeftPattern

          public <any> getLeftPattern()

      Specified by:
        `getLeftPattern` in class `DroolsAbstractBiConstraintStream<Solution_,A,B>`

    - #### getRightVariableDeclaration

          public <any> getRightVariableDeclaration()

      Specified by:
        `getRightVariableDeclaration` in class `DroolsAbstractBiConstraintStream<Solution_,A,B>`

    - #### getRightPattern

          public <any> getRightPattern()

      Specified by:
        `getRightPattern` in class `DroolsAbstractBiConstraintStream<Solution_,A,B>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.